Query transaction rules
curl --request POST \
--url https://sandbox.tight.com/v6/banks/transactions/rules/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {},
"filter": {
"status": {
"in": [],
"notIn": []
},
"filter": {
"description": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"amount": {
"equal": 123,
"notEqual": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"vendorId": {
"id": {
"in": [
"<string>"
]
}
},
"bankAccountId": {
"id": {
"in": [
"<string>"
],
"notIn": [
"<string>"
]
}
}
},
"update": {
"glAccountId": {
"id": {
"in": [
"<string>"
]
}
},
"vendorId": {
"id": {
"in": [
"<string>"
]
}
},
"customerId": {
"id": {
"in": [
"<string>"
]
}
},
"reviewStatus": {
"in": [],
"notIn": []
},
"dimensionValueId": {
"id": {
"in": [
"<string>"
]
}
}
},
"lastAppliedDate": {
"equal": "2023-11-07T05:31:56Z",
"notEqual": "2023-11-07T05:31:56Z",
"greaterThan": "2023-11-07T05:31:56Z",
"greaterThanEqual": "2023-11-07T05:31:56Z",
"lessThan": "2023-11-07T05:31:56Z",
"lessThanEqual": "2023-11-07T05:31:56Z"
},
"matchCount": {
"equal": 123,
"notEqual": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
}
}
}
'import requests
url = "https://sandbox.tight.com/v6/banks/transactions/rules/query"
payload = {
"cursor": "<string>",
"limit": 123,
"sort": {},
"filter": {
"status": {
"in": [],
"notIn": []
},
"filter": {
"description": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"amount": {
"equal": 123,
"notEqual": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"vendorId": { "id": { "in": ["<string>"] } },
"bankAccountId": { "id": {
"in": ["<string>"],
"notIn": ["<string>"]
} }
},
"update": {
"glAccountId": { "id": { "in": ["<string>"] } },
"vendorId": { "id": { "in": ["<string>"] } },
"customerId": { "id": { "in": ["<string>"] } },
"reviewStatus": {
"in": [],
"notIn": []
},
"dimensionValueId": { "id": { "in": ["<string>"] } }
},
"lastAppliedDate": {
"equal": "2023-11-07T05:31:56Z",
"notEqual": "2023-11-07T05:31:56Z",
"greaterThan": "2023-11-07T05:31:56Z",
"greaterThanEqual": "2023-11-07T05:31:56Z",
"lessThan": "2023-11-07T05:31:56Z",
"lessThanEqual": "2023-11-07T05:31:56Z"
},
"matchCount": {
"equal": 123,
"notEqual": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cursor: '<string>',
limit: 123,
sort: {},
filter: {
status: {in: [], notIn: []},
filter: {
description: {
equal: '<string>',
notEqual: '<string>',
greaterThan: '<string>',
greaterThanEqual: '<string>',
lessThan: '<string>',
lessThanEqual: '<string>',
contain: '<string>'
},
amount: {
equal: 123,
notEqual: 123,
greaterThan: 123,
greaterThanEqual: 123,
lessThan: 123,
lessThanEqual: 123
},
vendorId: {id: {in: ['<string>']}},
bankAccountId: {id: {in: ['<string>'], notIn: ['<string>']}}
},
update: {
glAccountId: {id: {in: ['<string>']}},
vendorId: {id: {in: ['<string>']}},
customerId: {id: {in: ['<string>']}},
reviewStatus: {in: [], notIn: []},
dimensionValueId: {id: {in: ['<string>']}}
},
lastAppliedDate: {
equal: '2023-11-07T05:31:56Z',
notEqual: '2023-11-07T05:31:56Z',
greaterThan: '2023-11-07T05:31:56Z',
greaterThanEqual: '2023-11-07T05:31:56Z',
lessThan: '2023-11-07T05:31:56Z',
lessThanEqual: '2023-11-07T05:31:56Z'
},
matchCount: {
equal: 123,
notEqual: 123,
greaterThan: 123,
greaterThanEqual: 123,
lessThan: 123,
lessThanEqual: 123
}
}
})
};
fetch('https://sandbox.tight.com/v6/banks/transactions/rules/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "trl_5445116",
"status": "ACTIVE",
"filter": {
"description": {
"equal": "Office Supplies",
"contain": "Supplies"
},
"amount": {
"equal": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"vendor": {
"id": {
"equal": "tgla_324231"
}
},
"glAccount": {
"id": {
"equal": "tgla_324231"
}
},
"bankAccount": {
"id": {
"equal": "tgla_324231"
}
}
},
"update": {
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"reviewStatus": "RECONCILED",
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
]
},
"matchCount": 4,
"lastAppliedDateTime": "2023-11-07T05:31:56Z",
"filterDisplayName": "Vendor is \"Starbucks\"",
"updateDisplayName": "Set glAccount as \"Taxi\"",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Transaction Rules
Query transaction rules
Query transaction rules for the authenticated user
POST
/
v6
/
banks
/
transactions
/
rules
/
query
Query transaction rules
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Response
Success
The result of the action performed.
Available options:
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes
Show child attributes
⌘I